package io.swagger.model;

import io.swagger.v3.oas.annotations.media.Schema;


/**
 * The OnPoint™ grid on which the resource exists.
 */
public enum Grid {
  GLOBAL_GRID("GLOBAL_GRID"),
  
  NORTH_AMERICA_GRID("NORTH_AMERICA_GRID");

  private String value;

  Grid(String value) {
    this.value = value;
  }

  @Override
  public String toString() {
    return String.valueOf(value);
  }

  public static Grid fromValue(String text) {
    for (Grid b : Grid.values()) {
      if (String.valueOf(b.value).equals(text)) {
        return b;
      }
    }
    return null;
  }
  
}
