package io.swagger.model;

import io.swagger.model.Grid;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

public class SamplePointsInner   {
  
  @Schema(required = true, description = "")
  private Integer onpointId = null;
  
  @Schema(required = true, description = "")
  private Float latitude = null;
  
  @Schema(required = true, description = "")
  private Float longitude = null;
  
  @Schema(required = true, description = "")
  private Grid grid = null;
  
  @Schema(required = true, description = "")
  private Integer distance = null;
  
  @Schema(required = true, description = "")
  private Float elevation = null;
 /**
   * Get onpointId
   * @return onpointId
  **/
  @JsonProperty("onpointId")
  public Integer getOnpointId() {
    return onpointId;
  }

  public void setOnpointId(Integer onpointId) {
    this.onpointId = onpointId;
  }

  public SamplePointsInner onpointId(Integer onpointId) {
    this.onpointId = onpointId;
    return this;
  }

 /**
   * Get latitude
   * @return latitude
  **/
  @JsonProperty("latitude")
  public Float getLatitude() {
    return latitude;
  }

  public void setLatitude(Float latitude) {
    this.latitude = latitude;
  }

  public SamplePointsInner latitude(Float latitude) {
    this.latitude = latitude;
    return this;
  }

 /**
   * Get longitude
   * @return longitude
  **/
  @JsonProperty("longitude")
  public Float getLongitude() {
    return longitude;
  }

  public void setLongitude(Float longitude) {
    this.longitude = longitude;
  }

  public SamplePointsInner longitude(Float longitude) {
    this.longitude = longitude;
    return this;
  }

 /**
   * Get grid
   * @return grid
  **/
  @JsonProperty("grid")
  public Grid getGrid() {
    return grid;
  }

  public void setGrid(Grid grid) {
    this.grid = grid;
  }

  public SamplePointsInner grid(Grid grid) {
    this.grid = grid;
    return this;
  }

 /**
   * Get distance
   * @return distance
  **/
  @JsonProperty("distance")
  public Integer getDistance() {
    return distance;
  }

  public void setDistance(Integer distance) {
    this.distance = distance;
  }

  public SamplePointsInner distance(Integer distance) {
    this.distance = distance;
    return this;
  }

 /**
   * Get elevation
   * @return elevation
  **/
  @JsonProperty("elevation")
  public Float getElevation() {
    return elevation;
  }

  public void setElevation(Float elevation) {
    this.elevation = elevation;
  }

  public SamplePointsInner elevation(Float elevation) {
    this.elevation = elevation;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SamplePointsInner {\n");
    
    sb.append("    onpointId: ").append(toIndentedString(onpointId)).append("\n");
    sb.append("    latitude: ").append(toIndentedString(latitude)).append("\n");
    sb.append("    longitude: ").append(toIndentedString(longitude)).append("\n");
    sb.append("    grid: ").append(toIndentedString(grid)).append("\n");
    sb.append("    distance: ").append(toIndentedString(distance)).append("\n");
    sb.append("    elevation: ").append(toIndentedString(elevation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
