package io.swagger.model;

import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * A timestamp range object
 **/
@Schema(description="A timestamp range object")
public class TimestampRangeObj   {
  
  @Schema(required = true, description = "")
  private Date timestampStart = null;
  
  @Schema(required = true, description = "")
  private Date timestampEnd = null;
 /**
   * Get timestampStart
   * @return timestampStart
  **/
  @JsonProperty("timestampStart")
  public Date getTimestampStart() {
    return timestampStart;
  }

  public void setTimestampStart(Date timestampStart) {
    this.timestampStart = timestampStart;
  }

  public TimestampRangeObj timestampStart(Date timestampStart) {
    this.timestampStart = timestampStart;
    return this;
  }

 /**
   * Get timestampEnd
   * @return timestampEnd
  **/
  @JsonProperty("timestampEnd")
  public Date getTimestampEnd() {
    return timestampEnd;
  }

  public void setTimestampEnd(Date timestampEnd) {
    this.timestampEnd = timestampEnd;
  }

  public TimestampRangeObj timestampEnd(Date timestampEnd) {
    this.timestampEnd = timestampEnd;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TimestampRangeObj {\n");
    
    sb.append("    timestampStart: ").append(toIndentedString(timestampStart)).append("\n");
    sb.append("    timestampEnd: ").append(toIndentedString(timestampEnd)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
